%global momorel 7
%global grass_prefix %{_libdir}
%global appname grass
%global grass_version 5.0.3
%global ipa_xfontdir %{_datadir}/X11/fonts/truetype-ja-ipa
%global ipa_fontdir %{_datadir}/X11/fonts/truetype/japanese-ipa
%global md5sum_src0 53fdec5bbbc02dff1bc95acb3456ecbd
%global md5sum_src1 13b07f28e0d771b47702a244b1e2d9ff
%global md5sum_src2 1b238c9750db0544aba756d07dd6289d

Name:           grass-i18n
# http://lists.sourceforge.jp/pipermail/efont-devel/2004-July/000070.html
License:        GPL and see "license-ipafonts.eucjp"
Group:          Applications/Engineering
Summary:        I18n version of GRASS geographical information system
Version:        %{grass_version}
Release:        %{momorel}m%{?dist}
URL:            http://www.grass-japan.org/FOSS4G/
# upstream
#URL:           http://grass.itc.it/

%NoSource 0 http://www.grass-japan.org/FOSS4G/GRASS/grass5.0.3_i18n_src.tar.gz %{md5sum_src0}
%NoSource 1 http://www.grass-japan.org/FOSS4G/GRASS/tcltkgrass-i18n.tar.gz %{md5sum_src1}
#  GRASS 5.0.x: AGNPS 5.0 erosion model data set (66 kb size):
%NoSource 2 http://grass.itc.it/sampledata/ansi_grass5_agnps.tar.gz %{md5sum_src2}

# local configuration
%{?include_specopt}
%{?!with_ipafonts:       %global with_ipafonts 0}

%if %{with_ipafonts}
%NoSource 3 http://www.grass-japan.org/FOSS4G/ipafonts/grass5.0.3_i686-pc-linux-i18n-ipafull-gnu_bin.tar.gz 38358c8d9e083f5e68dd403113b849ef
%endif

Source10:       grass5.desktop
# temporal font.dir.ipa from FreeBSD pacakge
Source11:       fonts.dir.ipa

Source20:       grass5_16.png
Source21:       grass5_32.png
Source22:       grass5_48.png

Patch0:         grass-5.0.3-freetype.patch
Patch1:         grass-5.0.3-control-reaches-end-of-non-void-function.patch 
Patch2:         grass-5.0.3-gcc4.patch
BuildRequires:  fftw-devel freeglut-devel gd-devel krb5-devel libtiff-devel 
BuildRequires:  postgresql-libs >= 8.2.3 postgresql-devel >= 8.2.3
BuildRequires:  unixODBC-devel
BuildRequires:  gdbm-devel freetype-devel tk-devel 
BuildRequires:  autoconf213
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
GRASS (Geographic Resources Analysis Support System) is a raster-based
GIS (Geographical Information System), vector GIS, image processing
system, graphics production system, data management system, and spatial
modeling system. A graphical user interface for the X Window System is
provided.

%if %{with_ipafonts}
%package -n truetype-fonts-ja-ipa
Version:        1.0
Group:          User Interface/X
Summary:        Japanese TrueType fonts distributed by IPA
Requires:       %{name} = %{version}-%{release}

%description -n truetype-fonts-ja-ipa
Japanese TrueType fonts distributed by IPA.

These fonts can be redistibuted only with grass5 package because of a restriction by its license. see "license-ipafonts.eucjp" or visit http://www.grass-japan.org/FOSS4G/readme-grass-i18n-ipafonts.eucjp.htm

%endif

%prep
%setup -q -n %{appname}-%{grass_version}-i18n
%if %{with_ipafonts}
tar xzf %{SOURCE3} ./fonts/\*.ttf ./license-ipafonts.eucjp
%endif
%patch0 -p1 -b .freetype
%patch1 -p1 -b .buildfix
%patch2 -p1 -b .gcc4
find . -name CVS -type d | xargs rm -rf

%build
autoconf-2.13
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wno-return-type"
./configure --prefix=%{grass_prefix} \
            --bindir=%{_bindir} \
	    --mandir=%{_mandir} \
	    --includedir=%{_includedir} \
	    --with-postgres-includes=%{_includedir}/pgsql \
            --with-postgres-libs=%{_libdir}/ \
	    --with-zlib-includes=%{_includedir} \
	    --with-dbm-includes=%{_includedir}/gdbm \
	    --with-freetype \
	    --with-freetype-includes=%{_includedir}/freetype2 \
            --with-nls
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{_libdir} BINDIR=%{buildroot}%{_bindir} install
mkdir -p %{buildroot}/%{_datadir}
mv %{buildroot}%{_libdir}/grass5/man %{buildroot}%{_datadir}
mv %{buildroot}%{_libdir}/grass5/include %{buildroot}/%{_prefix}
mv %{buildroot}%{_libdir}/grass5/lib %{buildroot}/%{_libdir}
%if %{_lib}=="lib64"
perl -pi -e "s/GISBASE=.*/GISBASE=\/usr\/lib64\/grass5/" %{buildroot}%{_bindir}/grass5
%else
perl -pi -e "s/GISBASE=.*/GISBASE=\/usr\/lib\/grass5/" %{buildroot}%{_bindir}/grass5
%endif
# check whether the replacement with perl was successful:
grep GISBASE=%{_libdir}/grass5 %{buildroot}%{_bindir}/grass5 || exit 1
chmod a+x %{buildroot}%{_bindir}/grass5
rm -rf %{buildroot}%{grass_prefix}/grass5/locks/*
chmod 755 %{buildroot}%{grass_prefix}/grass5/locks
pushd %{buildroot}%{grass_prefix}/grass5/
    tar zxf %{SOURCE1}
    # remove duplicate documentation which will be in 
    # /usr/share/doc/packages/grass already:
    rm -f AUTHORS BUGS COPYING NEWS.html README REQUIREMENTS.html TODO.txt
    rm -f new_function* readme*
    # install some sample data 
    mkdir -p location
    pushd location
        tar zxf %{SOURCE2}
    popd
popd
# install IPA fonts
%if %{with_ipafonts}
cp -f fonts/*.ttf %{buildroot}%{_libdir}/grass5/fonts/
mkdir -p %{buildroot}%{ipa_xfontdir}
mkdir -p %{buildroot}%{ipa_fontdir}
for ttf in ipag.ttf ipagp.ttf ipagui.ttf ipam.ttf ipamp.ttf
do
ln -s ../../../../lib/grass5/fonts/${ttf} %{buildroot}%{ipa_xfontdir}
ln -s ../../../../lib/grass5/fonts/${ttf} %{buildroot}%{ipa_fontdir}
done
install -m 644 %{SOURCE11} %{buildroot}%{ipa_xfontdir}/fonts.dir
%endif

# remove %{_mandir}/man1/exit.1.bz2 sinc this conflicts with file from bash
rm -rf %{buildroot}%{_mandir}/man1/exit.1*

# desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Engineering \
  --add-category Science \
  %{SOURCE10}

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE20} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/grass5.png
install -m 644 %{SOURCE21} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/grass5.png
install -m 644 %{SOURCE22} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/grass5.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/grass5.png %{buildroot}%{_datadir}/pixmaps/grass5.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog GPL.TXT INSTALL NEWS* REQUIREMENTS* SUBMITTING TODO* README*
%doc new_function* readme*
%if %{with_ipafonts}
%doc license-ipafonts.eucjp
%endif
%{_datadir}/pixmaps/grass5.png
%{_datadir}/icons/*/*/*/grass5.png
%{_datadir}/applications/*.desktop
%dir %{grass_prefix}/grass5/
%{grass_prefix}/grass5/*
%{_mandir}/man1/*
%{_includedir}/*
%{_libdir}/lib*
%{_bindir}/*

%if %{with_ipafonts}
%files -n truetype-fonts-ja-ipa
%defattr(-,root,root)
%doc license-ipafonts.eucjp
%{ipa_xfontdir}/*
%{ipa_fontdir}/*
%endif

%changelog
* Tue Jul 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0.3-7m)
- import icons from cooker

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0.3-6m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0.3-5m)
- rebuild against postgresql-8.2.3

* Sun Oct 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.0.3-4m)
- rebuild against freeglut

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.0.3-3m)
- remove category Application

* Thu Jun 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (5.0.3-2m)
- revise spec file for lib64

* Wed May 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (5.0.3-1m)
- import to Momonga
- to include IPA fonts, use specopt to set with_ipafonts to 1
- TODO: font setting

* Sun Mar 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (5.0.3-0m)
- momonganize based on opensuse package grass-5.0.3-21.src.rpm
- - changelogs in suse are following
- - -* Wed Jan 25 2006 - mls@suse.de
- - -- converted neededforbuild to BuildRequires
- - -* Mon Nov 07 2005 - sndirsch@suse.de
- - -- make use of mesa-devel-packages macro in neededforbuild
- - -* Sat Nov 05 2005 - coolo@suse.de
- - -- brute force the build of the package in favor of #132464
- - -* Fri Oct 28 2005 - adrian@suse.de
- - -- make font packages noarch
- - -* Mon Jun 13 2005 - ro@suse.de
- - -- do not redefine fgets
- - -* Thu May 12 2005 - meissner@suse.de
- - -- fixed all critical warnings, buffer overflows and lots
- - -  of implicit warnings.
- - -* Wed May 11 2005 - meissner@suse.de
- - -- gcc4 fixes.
- - -* Mon Mar 21 2005 - mfabian@suse.de
- - -- Bugzilla #72784: "grass does not start from the KDE menu":
- - -  fix program name in grass.desktop.
- - -* Fri Feb 25 2005 - mfabian@suse.de
- - -- make IPA fonts require grass, not vice versa
- - -  (because of the license of the IPA fonts).
- - -* Thu Nov 18 2004 - ro@suse.de
- - -- use kerberos-devel-packages
- - -* Mon Nov 15 2004 - ro@suse.de
- - -- fix last change ...
- - -* Fri Nov 12 2004 - ro@suse.de
- - -- fixed file list (needs revisiting)
- - -* Tue Sep 14 2004 - mfabian@suse.de
- - -- use correct version numbers for font sub-packages.
- - -* Mon Sep 13 2004 - mfabian@suse.de
- - -- new package: grass 5.0.3 (i18n version).
